#NewLeaderMargEffect.r
#Date: 8/20/2014

library(R2jags)
library(rjags)
library(arm)
library(foreign)

setwd("c:/users/james/desktop/dropbox/transparency_and_democracy/whyautocratictransparency/jcrmaterials/replicationfiles")

load("WhyTransMultilevelDD.RData")

attach.jags(results.pars)

t.sim<-c(1:10)

NewLeadMargEffect<-array(NA, c(2000,10))

NewLeadMargEffect[,1]<-beta[,4]

for (i in 2:5){
  NewLeadMargEffect[,i]<-rho*NewLeadMargEffect[,(i-1)] + beta[,4]
  }
for (i in 6:10){
  NewLeadMargEffect[,i]<-rho*NewLeadMargEffect[,(i-1)]
  }

MargEffectEst<-c(1:10)
MargEffectHPD<-matrix(,ncol=2,nrow=10)

for (i in 1:10){
  MargEffectEst[i]<-mean(NewLeadMargEffect[,i])
  MargEffectHPD[i,]<-HPDinterval(as.mcmc(as.matrix(NewLeadMargEffect[,i])))
  }

pdf("NewLeaderDDData.pdf")
plot(x=c(), y=c(), xlim=c(1, 10), ylim=c(0,0.3), xlab="Time (in years)", ylab="Change in HRV Score (Standard Deviations)", main="Marginal Effect of New Leadership")
lines(y=MargEffectHPD[,1], x=t.sim, lty=2)
lines(y=MargEffectHPD[,2], x=t.sim, lty=2)
lines(y=MargEffectEst, x=t.sim)
dev.off()

rm(list=ls())

load("WhyTransMultilevelGWF.RData")

attach.jags(results.pars)

t.sim<-c(1:10)

NewLeadMargEffect<-array(NA, c(2000,10))

NewLeadMargEffect[,1]<-beta[,4]

for (i in 2:5){
  NewLeadMargEffect[,i]<-rho*NewLeadMargEffect[,(i-1)] + beta[,4]
  }
for (i in 6:10){
  NewLeadMargEffect[,i]<-rho*NewLeadMargEffect[,(i-1)]
  }

MargEffectEst<-c(1:10)
MargEffectHPD<-matrix(,ncol=2,nrow=10)

for (i in 1:10){
  MargEffectEst[i]<-mean(NewLeadMargEffect[,i])
  MargEffectHPD[i,]<-HPDinterval(as.mcmc(as.matrix(NewLeadMargEffect[,i])))
  }

pdf("NewLeaderGWFData.pdf")
plot(x=c(), y=c(), xlim=c(1, 10), ylim=c(0,0.3), xlab="Time (in years)", ylab="Change in HRV Score (Standard Deviations)", main="Marginal Effect of New Leadership")
lines(y=MargEffectHPD[,1], x=t.sim, lty=2)
lines(y=MargEffectHPD[,2], x=t.sim, lty=2)
lines(y=MargEffectEst, x=t.sim)
dev.off()
