#File Name: WhyTransGWFTable.R
#Author: James Hollyer
#Date: 7/10/2018

library(arm)
library(foreign)
library(rjags)
library(R2jags)
library(data.table)
#install.packages("xtable", dep=TRUE)
library(xtable)
library(gdata)


setwd("c:/users/james/desktop/dropbox/transparency_and_democracy/whyautocratictransparency/jcrmaterials/replicationfiles/")

load("WhyTransMultilevelGWF.RData")

ResultsTable<-matrix(,nrow=26, ncol=5)
CredIntervals<-matrix(,nrow=1, ncol=2)

VariableNames <- c(" ", " ", "Party", "Personal", "Fuel Exporter", "Lag Transparency", "GDP per capita", "GDP", "Ec. Openness", "Growth", "Gov't Consumption", "New Leader")

ResultsTable[1:2,2] <- VariableNames[1:2]
for(i in 3:28){
  j <- i%%2==0
  if(j==FALSE){
    k <- (i+1)/2+1
    ResultsTable[i,2] <- VariableNames[k]
  }
}

ResultsTable[23,2] <- "Cubic Time"
ResultsTable[24,2] <- "Polynomial"
ResultsTable[25,2] <- "# Obs"
ResultsTable[26,2] <- "# Regimes"

for(i in 3:5){
    ResultsTable[24,i] <- "checkmark"
    ResultsTable[25,i] <- NROW(RegimeYearData)
    ResultsTable[26,i] <- NROW(RegimeData)
  }

attach.jags(results.full)

for(i in 3:8){
  j <- i%%2==0
  if (j==FALSE){
    k<-(i-1)/2 +1
    ResultsTable[i,3]<- round(mean(gamma[,k]),3)
    }
  if (j==TRUE){
    k<-i/2 
    CredIntervals <-HPDinterval(as.mcmc(as.matrix(gamma[,k])),prob=0.95)
    ResultsTable[i,3] <- paste("[",round(CredIntervals[,1],3),", ",round(CredIntervals[,2],3),"]",sep="")
  }
}

ResultsTable[9,3] <- round(mean(rho),3)
CredIntervals <-HPDinterval(as.mcmc(as.matrix(rho)),prob=0.95)
ResultsTable[10,3] <- paste("[",round(CredIntervals[,1],3),", ",round(CredIntervals[,2],3),"]",sep="")

for(i in 11:22){
  j <- i%%2==0
  if (j==FALSE){
    k<-(i-1)/2 -4
    ResultsTable[i,3] <- round(mean(beta[,k]),3)
    }
  if(j==TRUE){
    k<-i/2 - 5
    CredIntervals <-HPDinterval(as.mcmc(as.matrix(beta[,k])),prob=0.95)
    ResultsTable[i,3] <- paste("[",round(CredIntervals[,1],3),", ",round(CredIntervals[,2],3),"]",sep="")
  }
}

attach.jags(results.pars)

ResultsTable[7,4]<-round(mean(gamma[,4]),3)
CredIntervals <-HPDinterval(as.mcmc(as.matrix(gamma[,4])),prob=0.95)
ResultsTable[8,4] <- paste("[",round(CredIntervals[,1],3),", ",round(CredIntervals[,2],3),"]",sep="")
ResultsTable[5,4]<-round(mean(gamma[,3]),3)
CredIntervals <-HPDinterval(as.mcmc(as.matrix(gamma[,3])),prob=0.95)
ResultsTable[6,4] <- paste("[",round(CredIntervals[,1],3),", ",round(CredIntervals[,2],3),"]",sep="")
ResultsTable[3,4]<-round(mean(gamma[,2]),3)
CredIntervals <-HPDinterval(as.mcmc(as.matrix(gamma[,2])),prob=0.95)
ResultsTable[4,4] <- paste("[",round(CredIntervals[,1],3),", ",round(CredIntervals[,2],3),"]",sep="")
ResultsTable[9,4] <- round(mean(rho),3)
CredIntervals <-HPDinterval(as.mcmc(as.matrix(rho)),prob=0.95)
ResultsTable[10,4] <- paste("[",round(CredIntervals[,1],3),", ",round(CredIntervals[,2],3),"]",sep="")

for(i in 11:16){
  j <- i%%2==0
  if(j==FALSE){
    k<-(i-1)/2 - 4
    ResultsTable[i,4] <- round(mean(beta[,k]),3)
    }
  if(j==TRUE){
    k<-i/2 - 5
    CredIntervals <-HPDinterval(as.mcmc(as.matrix(beta[,k])),prob=0.95)
    ResultsTable[i,4] <- paste("[",round(CredIntervals[,1],3),", ",round(CredIntervals[,2],3),"]",sep="")
  }
}

for(i in 19:22){
  j <- i%%2==0
  if(j==FALSE){
    k<-(i-1)/2 - 6
    ResultsTable[i,4] <- round(mean(beta[,k]),3)
    }
  if(j==TRUE){
    k<-i/2 - 7
     CredIntervals <-HPDinterval(as.mcmc(as.matrix(beta[,k])),prob=0.95)
    ResultsTable[i,4] <- paste("[",round(CredIntervals[,1],3),", ",round(CredIntervals[,2],3),"]",sep="")
  }
}

attach.jags(results.verypars)

ResultsTable[7,5]<-round(mean(gamma[,4]),3)
CredIntervals <-HPDinterval(as.mcmc(as.matrix(gamma[,4])),prob=0.95)
ResultsTable[8,5] <- paste("[",round(CredIntervals[,1],3),", ",round(CredIntervals[,2],3),"]",sep="")

ResultsTable[5,5]<-round(mean(gamma[,3]),3)
CredIntervals <-HPDinterval(as.mcmc(as.matrix(gamma[,3])),prob=0.95)
ResultsTable[6,5] <- paste("[",round(CredIntervals[,1],3),", ",round(CredIntervals[,2],3),"]",sep="")
ResultsTable[3,5]<-round(mean(gamma[,2]),3)
CredIntervals <-HPDinterval(as.mcmc(as.matrix(gamma[,2])),prob=0.95)
ResultsTable[4,5] <- paste("[",round(CredIntervals[,1],3),", ",round(CredIntervals[,2],3),"]",sep="")
ResultsTable[9,5] <- round(mean(rho),3)
CredIntervals <-HPDinterval(as.mcmc(as.matrix(rho)),prob=0.95)
ResultsTable[10,5] <- paste("[",round(CredIntervals[,1],3),", ",round(CredIntervals[,2],3),"]",sep="")
ResultsTable[21,5] <- round(mean(beta[,1]),3)
CredIntervals <-HPDinterval(as.mcmc(as.matrix(beta[,1])),prob=0.95)
ResultsTable[22,5] <- paste("[",round(CredIntervals[,1],3),", ",round(CredIntervals[,2],3),"]",sep="")



DDTable<-xtable(ResultsTable, caption="Models of Disclosure: GWF Data")

sink("DisclosureGWFTable.tex")
print(DDTable, include.rownames=FALSE)
sink()
