#File Name: AutocraticTransparencyDDData.r
#Author: James Hollyer
#Date: 7/10/2018

setwd("c:/users/james/desktop/dropbox/transparency_and_democracy/whyautocratictransparency/jcrmaterials/replicationfiles")

library(arm)
library(foreign)
library(rjags)
library(R2jags)

RegimeYearData<-read.dta("WhyAutocraticTransparencyData2.dta")
RegimeData<-read.dta("AutocRegimeCharacteristicsDD.dta")

transparencyindex<-RegimeYearData$transparencyindex
transparencyindex<-(transparencyindex-mean(transparencyindex))/sd(transparencyindex)
lag_transparency<-RegimeYearData$lag_transparency
lag_transparency<-(lag_transparency-mean(lag_transparency))/sd(lag_transparency)
lag_GDPcap<-RegimeYearData$lag_GDPcap
lag_GDPcap<-(lag_GDPcap-mean(lag_GDPcap))/sd(lag_GDPcap)
lag_open<-RegimeYearData$lag_open
lag_open<-(lag_open-mean(lag_open))/sd(lag_open)
lag_growth<-RegimeYearData$lag_growth
lag_growth<-(lag_growth-mean(lag_growth))/sd(lag_growth)
lag_cg<-RegimeYearData$lag_cg
lag_cg<-(lag_cg-mean(lag_cg))/sd(lag_cg)
leadertime<-RegimeYearData$leadertime
leadertime2<-RegimeYearData$leadertime2
leadertime2<-leadertime2/100
t<-RegimeYearData$t
t2<-RegimeYearData$t2
t2<-t2/100
t3<-RegimeYearData$t3
t3<-t3/1000
AutocRegimeID<-RegimeYearData$AutocRegimeID
lag_tcgdp<-RegimeYearData$lag_tcgdp
lag_tcgdp<-(lag_tcgdp-mean(lag_tcgdp))/sd(lag_tcgdp)
prev_removal<-RegimeYearData$prev_removal
newleader<-RegimeYearData$newleader
year<-RegimeYearData$year
wdinum<-RegimeYearData$countrynum

singleparty<-RegimeData$singleparty
multiparty<-RegimeData$multiparty
leg<-RegimeData$leg_alt
mil<-RegimeData$nmil
royal<-RegimeData$royal
comm<-RegimeData$comm
fuelexporter<-RegimeData$fuelexporter
AutocRegimeID2<-RegimeData$AutocRegimeID
monmil <- royal+mil


data.trans<-list("AutocRegimeID", "lag_transparency", "lag_GDPcap",
"lag_open", "lag_growth", "lag_cg", "newleader", "t", "t2", "t3",
"singleparty", "multiparty", "leg", "monmil", "comm", "fuelexporter", "lag_tcgdp", 
"year", "transparencyindex")

parameters.trans<-c("alpha", "rho", "beta", "gamma", "sigma.trans", "sigma.intercept")

results.full<- jags(data=data.trans, inits=NULL, parameters.trans, model.file="WhyTransMultilevelDDData.txt",
n.chains=2, n.iter=20000, n.burnin=10000)

print(results.full)

data.trans<-list("AutocRegimeID", "transparencyindex", "lag_transparency", "lag_GDPcap",
"lag_cg", "newleader", "t", "t2", "t3",
"monmil", "fuelexporter", "lag_tcgdp")

parameters.trans<-c("alpha", "rho", "beta", "gamma", "sigma.trans", "sigma.intercept")

results.pars<- jags(data=data.trans, inits=NULL, parameters.trans, model.file="WhyTransMultilevelParsimoniousDDData.txt",
n.chains=2, n.iter=20000, n.burnin=10000)

print(results.pars)

data.trans<-list("AutocRegimeID", "transparencyindex", "lag_transparency", "newleader", "t", "t2", "t3",
"monmil", "fuelexporter", "lag_tcgdp")

parameters.trans<-c("alpha", "rho", "beta", "gamma", "sigma.trans", "sigma.intercept")

results.verypars<- jags(data=data.trans, inits=NULL, parameters.trans, model.file="WhyTransMultilevelVeryParsimoniousDDData.txt",
n.chains=2, n.iter=20000, n.burnin=10000)

print(results.verypars)

save.image("WhyTransMultilevelDD.RData")
