#File Name: WhyTransMultilevelGWF.r
#Author: James Hollyer
#Date: 7/10/2018

setwd("c:/users/james/desktop/dropbox/transparency_and_democracy/whyautocratictransparency/jcrmaterials/replicationfiles/")

library(arm)
library(foreign)
library(rjags)
library(R2jags)

RegimeYearData<-read.dta("WhyAutocraticTransparencyDataGWFInst.dta")
RegimeData<-read.dta("AutocRegimeCharacteristicsGWF.dta")

transparencyindex<-RegimeYearData$transparencyindex
transparencyindex<-(transparencyindex-mean(transparencyindex))/sd(transparencyindex)
lag_transparency<-RegimeYearData$lag_transparency
lag_transparency<-(lag_transparency-mean(lag_transparency))/sd(lag_transparency)
lag_GDPcap<-RegimeYearData$lag_GDPcap
lag_GDPcap<-(lag_GDPcap-mean(lag_GDPcap))/sd(lag_GDPcap)
lag_open<-RegimeYearData$lag_open
lag_open<-(lag_open-mean(lag_open))/sd(lag_open)
lag_growth<-RegimeYearData$lag_growth
lag_growth<-(lag_growth-mean(lag_growth))/sd(lag_growth)
lag_cg<-RegimeYearData$lag_cg
lag_cg<-(lag_cg-mean(lag_cg))/sd(lag_cg)
leadertime<-RegimeYearData$leadertime
leadertime2<-RegimeYearData$leadertime2
leadertime2<-leadertime2/100
t<-RegimeYearData$t
t2<-RegimeYearData$t2
t2<-t2/100
t3<-RegimeYearData$t3
t3<-t3/1000
AutocRegimeID<-RegimeYearData$AutocRegimeID
lag_tcgdp<-RegimeYearData$lag_tcgdp
lag_tcgdp<-(lag_tcgdp-mean(lag_tcgdp))/sd(lag_tcgdp)
prev_removal<-RegimeYearData$prev_removal
newleader<-RegimeYearData$newleader

comm<-RegimeData$comm
fuelexporter<-RegimeData$fuelexporter
AutocRegimeID2<-RegimeData$AutocRegimeID
party<-RegimeData$gwf_party
personal<-RegimeData$gwf_personal
military<-RegimeData$gwf_military

data.trans<-list("AutocRegimeID", "transparencyindex", "lag_transparency", "lag_GDPcap",
"lag_open", "lag_growth", "lag_cg", "newleader", "t", "t2", "t3",
"party", "personal", "fuelexporter", "lag_tcgdp")

parameters.trans<-c("alpha", "rho", "beta", "gamma", "sigma.trans", "sigma.intercept")

results.full<- jags(data=data.trans, inits=NULL, parameters.trans, model.file="WhyTransMultilevelGWFData.txt",
n.chains=2, n.iter=20000, n.burnin=10000)

print(results.full)

data.trans<-list("AutocRegimeID", "transparencyindex", "lag_transparency", "lag_GDPcap",
"lag_cg", "newleader", "t", "t2", "t3",
"party", "personal", "fuelexporter", "lag_tcgdp")

parameters.trans<-c("alpha", "rho", "beta", "gamma", "sigma.trans", "sigma.intercept")

results.pars<- jags(data=data.trans, inits=NULL, parameters.trans, model.file="WhyTransMultilevelParsimoniousGWFData.txt",
n.chains=2, n.iter=20000, n.burnin=10000)

print(results.pars)

data.trans<-list("AutocRegimeID", "transparencyindex", "lag_transparency", "newleader", "t", "t2", "t3",
"party", "personal", "fuelexporter", "lag_tcgdp")

parameters.trans<-c("alpha", "rho", "beta", "gamma", "sigma.trans", "sigma.intercept")

results.verypars<- jags(data=data.trans, inits=NULL, parameters.trans, model.file="WhyTransMultilevelVeryParsimoniousGWFData.txt",
n.chains=2, n.iter=20000, n.burnin=10000)

print(results.verypars)

save.image("WhyTransMultilevelGWF.RData")
